Detected Access Points List

Select an access point from a list of [Detected Access Points].

If not even one access point can be detected

It may take a few minutes until the access point is recognized. Click [Refresh].
For details, see the user's guide that comes with the printer.

If multiple access points are detected

If you live in an apartment or condominium, the printer may be communicating with an access point being used by someone in the building. Select the access point to be used, and then click [Connect].

You can also click [Manual Setup...] and specify the access point setting at the [Manual Setup] screen to specify the access point.

[Detected Access Points]

You can check the signal strength from the access point, whether the access point is using an encryption, the access point name (SSID), and MAC address.

Important

If an access point supports both WPA and WPA2, they may be displayed separately depending on the access point setting. Select the access point of the encryption method to which you want to connect.

Note

MAC addresses are displayed only when multiple access points with the same name (SSID) are detected. In such cases, use the MAC addresses to determine and select the access point to be used.

The strength of the signal is indicated by the number of bars displayed by the antenna.
: Good
: Fair
: Poor

Encryption specified in the access point is indicated by ASCII characters.
None: No encryption is set
WEP: Encryption is set (WEP)
WPA: Encryption is set (WPA)
WPA2: Encryption is set (WPA2)

[Network Information]

Displays the network information that is set for the computers and printers.
Click this item to view the network information if access points or printers cannot be detected automatically during network setup.
This item is enabled such when the access point cannot be detected or the connection to the access point fails.

[Refresh]

Click this item if the target access point is not detected. Access point detection will be re-executed.

Note

Set the power of the access point to ON.

[Network Key]

If WEP is set as the access point to be used, enter a WEP key. If WPA/WPA2 is set, enter a PSK (Pre-Shared Key) or a passphrase. In both cases, the entered value must have the same format and length as the access point.

About Network Key

Note

You can enter the network key here only when WEP or WPA (PSK), WPA2 (PSK) is set on the selected access point.

[WEP Key Number...]

WEP Key must be set to the same WEP key number that is set in the access point. Normally, [WEP key 1] is selected. Click this item to select another number.

[Manual Setup...]

Display the [Manual Setup] screen if the target access point is not found or if you want to change the network setting of the printer manually and re-detect the access point.

[Back]

Click this button to do the operation over again on the previous screen.

[Connect]

Connects the selected access point.

[Cancel]

Cancels the setup.
Since the setup has not been completed, you must execute the setup again to use the printer.

Troubleshooting

If the access point to which you want to establish a connection is not detected, check the items on this page, and then click [Refresh] on the [Detected Access Points List] screen.

If you have troubles with the setup, check the following points from top.

Introduction

Check Physical Connection

Firewall

About Firewall

Confirmation of Access Point

Check Selected Access Point

Check Filtering Function of Access Point


WPA Details

Sets WPA.

[Passphrase]

Enter the passphrase.

[Dynamic Encryption Type]

Select the dynamic encryption type.

[OK]

Sets WPA according to the specified information.

[Cancel]

Closes this screen.


WPA2 Details

Sets WPA2.

[Passphrase]

Enter the passphrase.

[Dynamic Encryption Type]

Select the dynamic encryption type.

[OK]

Sets WPA2 according to the specified information.

[Cancel]

Closes this screen.


Network Information

Displays the network information that is set for the computers and printers.

Check this information when access points or printers cannot be detected automatically during the network setup.

Important

Some items may not be displayed depending on the environment you use.

Application Info.

Displays the information on the IJ Installer you are using.

NIC Info.

Displays the network information that is set for the printer.
You can check the SSID, IP address, and the like to see whether the printer can communicate with the computer.

PC Info.

Displays the network information that is set for the computer.
Check the settings for the network you are using.

[OK]

Closes this screen.

[Copy All Information]

Copies network information to the clipboard.
The copied information can be pasted to a text editor or other application and then saved as text file.


About Firewall

A firewall is a system that is designed to prevent unauthorized access to a network.

Precautions: When a Firewall is Enabled

A firewall software may limit communications between a printer and a computer. This may disable printer setup and communications.

During the printer setup (SETUP.EXE or SETUP64.EXE), you may be prompted to enable or disable communications, depending on the firewall you use. If so, choose to enable communications.

When using Canon IJ Network Tool (CNMNPUT.EXE), you may be prompted to enable or disable communications, depending on the firewall you use. If so, choose to enable communications.

If you are running Windows XP Service Pack 1 or earlier and using the Internet Connection Firewall (ICF), which is a firewall program included with the Operating System, you will be prompted to disable the program during the printer setup. Choose [Yes] to disable the firewall. The program will be re-enabled automatically after setup.

Some applications (like the network configuration software) override firewall settings. Check the application's settings beforehand.

If the printer you use is set to "Get IP address automatically", the IP address changes every time the printer connects to the network. This may disable printer setup and communications, depending on the firewall settings. In this case, either change the firewall settings or assign a fixed IP address to the printer. An IP address can be set using Canon IJ Network Tool.
When assigning a fixed IP address to the printer, you will need to specify an IP address with which the computer can communicate.

Note

For the security software firewall settings, refer to the user's guide of the software or contact its manufacturer.

In an office network environment, contact the network administrator.


About Network Key

Detected Access Points List

"Network key" is an encryption key you will need to enter when data encryption is enabled on the selected access point.
When WEP is enabled on the access point, the "Network key" is usually referred to as the WEP key. When WPA/WPA2 is enabled on the access point, the "Network key" is usually referred to as the Pre-shared Key (PSK) or the passphrase.

When "WEP" is displayed for [Encryption] of the selected access point, WEP is enabled on the access point.
Enter the WEP key set for the access point, in the same format and length.
To set a 64-bit WEP key, enter 5 single-byte alphanumeric characters or 10 hexadecimal digits. To set a 128-bit WEP key, enter 13 single-byte alphanumeric characters or 26 hexadecimal digits.
The key number and authentication type will automatically be set to [1] and [Auto] respectively.
The key length and format are automatically determined by the entered key.

When "WPA" or "WPA2" is displayed for [Encryption] of the selected access point, enter the passphrase (Pre-shared Key) set for the access point with 8 to 63 single-byte alphanumeric characters/symbols or 64 hexadecimal digits.

Important

The name of the network key may vary depending on the access point or application you use.

Note

The format and length of the network key must match those set for the access point.


Manual Setup

Enter the information that was set for the access point so that the printer can detect that access point.

[SSID]

Enter the SSID that is set to the access point with up to 32 single-byte alphanumeric characters.

Note

The SSID is also called the ESS-ID. For details, see the user's guide for the access point.

[Encryption Method]

Select the encryption method to be used for the wireless LAN.

[Do not use]

Select this item if you do not want to use encryption.

[Use WEP]

Set a WEP key to enable communication data encryption.
To enter a WEP key or to change the settings, click [Configuration...].

[Use WPA] / [Use WPA2]

Set a passphrase to execute communication data encryption.
Since the encryption keys are changed at fixed intervals, the keys are difficult to decipher and the security becomes stronger.
To enter a passphrase for WPA/WPA2 or to change the setting, click [Configuration...].

[Configuration...]

Click this button to set a WEP password, to enter a WPA/WPA2 passphrase, or to change the setting.

[Back]

Returns to the access point list screen.

[Connect]

Connects the printer to the specified access point.

[Cancel]

Cancels the setup.
Since the setup has not been completed, you must execute the setup again to use the printer.


Set Printer IP Address

This screen is displayed if no printer is detected in the network. Specify the IP address of the target printer and search for the printer again.

[Get IP address automatically]

Gets the IP address automatically. If the IP address cannot be obtained automatically, check the network settings and connections. If the IP address is still not assigned, see the user's guide that comes with your printer.

[Use next IP address]

Set this item to ON to specify the IP address manually.

[IP Address] / [Subnet Mask] / [Default Gateway]

Enter the respective values to be set to the printer.

[Network Information]

Displays the information related to the network settings of the computers and printers.
Click this item to view the network information if access points or printers cannot be detected automatically during network setup.

[Back]

Click this item to redo the operation.

[Connect]

Executes printer detection again with the entered information.

[Cancel]

Cancels the setup.
Since the setup has not been completed, you must execute the setup again to use the printer.

Troubleshooting

If the target printer is not detected automatically, check the items on this page, and then click [Connect] on the [Set Printer IP Address] screen.

If you have troubles with the setup, check the following points from top.

Introduction

Check Physical Connection

Confirmation of Access Point

Check Selected Access Point

Check Filtering Function of Access Point

Confirmation of Communication Status

Check Communication Status between Printer and Computer

Confirmation of Connection

Check Network Bridge


Set Port Name

You can change the port name of the printer to one that can be easily remembered.

If there are several printers, changing the port name to one that can be easily remembered may help.

Note

To add a new port, click the [Ports] tab in printer properties, and then select [Add Port...].

[Port Name]

Enter the port name with up to 21 characters.
The port name will be made up of default "CNBJNP_" (or "CNBJNPFAX_") and what you enter.

[OK]

Click this item after entering the port name to be set.

[Cancel]

Click this item if you do not want to change the port name. The display returns to the [Setup Results] screen.


Detected Printers List

This screen displays a list of printers found in the network. Select the printer to be setup.

[Detected Printers]

You can check the model, MAC address, and IP address of the printers.

[Update]

Executes printer detection again. Click this item if the printer to be set up is not displayed in the list.
If the printer cannot be detected even when you click this item, check the [Check the printer settings] check box and click [Next].

Note

Turn on the printer power. It may take a few minutes until the printer is recognized.

[Back]

Reconfigures the network settings of the printer. After clicking this button, check the network environment and follow the instructions displayed.

[Next]

Click this item after you select the printer to be setup.

[Cancel]

Cancels the setup.
Since the setup has not been completed, you must execute the setup again to use the printer.


Detected Printers List

This screen displays a list of printers found in the network. Select the printer to be setup.

[Detected Printers]

You can check the model, MAC address, and IP address of the printers.

[Set Up New Printer]

Click this item to set up a new printer.
Follow the instructions in the displayed screens.

Note

Turn on the printer power. It may take a few minutes until the printer is recognized.

[Next]

Click this item after you select the printer to be setup.

[Redetect]

Click this item to redetect the printers on the network.

[Cancel]

Cancels the setup.
Since the setup has not been completed, you must execute the setup again to use the printer.


Set Up New Printer

To set up a new printer, prepare a USB cable.

[Next]

Click this item to use a USB cable and setup a new printer.

[Redetect]

Click this item to redetect the printers on the network.

[Cancel]

Cancels the setup.
Since the setup has not been completed, you must execute the setup again to use the printer.


Check Settings

This screen is displayed if connection to the access point fails.
The access point name (SSID) and network key that were set in the previous screen are displayed. Check that the settings are correct.

Important

If you are using the printer in an environment that has no DHCP server, the connection will fail even if the network key is correct.
If the connection fails, click [Set IP Address] and set the IP address of the printer.

[Network Key]

The network key that was entered in the previous screen is displayed. If the entry is incorrect, re-enter the network key.

[Set IP Address]

Click this item if you are using the printer in an environment that has no DHCP server.
Set the IP address in the displayed screen.

[Back]

Click this button to do the operation over again on the previous screen.

[Connect]

Connects to the access point based on the specified information.

[Cancel]

Cancels the setup.
Since the setup has not been completed, you must execute the setup again to use the printer.


WEP Details

Specify the encryption settings.

Important

Always set up the printer first. If you set the WEP key in the access point without setting the WEP key in the printer, communication may be disabled. For information on how to set the WEP key in the access point, see the user's guide that comes with the access point.

[WEP Key]

Enter the same WEP key that was set in the access point.
The number of characters and character type that can be entered will differ depending on the key length and key format combination.

 |  | Key length
 |  | 64 bits | 128 bits
Key format | ASCII | 5 characters | 13 characters
 | Hex | 10 digits | 26 digits

[Key Length]

Select either [64 bits] or [128 bits].

[Key Format]

Select either [ASCII] or [Hex].

[Key ID]

Specify the transmission WEP key that has been set in the access point. Also select the number that was set to that WEP key in the access point.

[Authentication]

Authentication is executed so that the printer can communicate with the access point.
Normally, select [Auto].
You can also select [Open System] or [Shared Key] depending on the setting for the access point.

[OK]

Sets WEP according to the specified information.

[Cancel]

Cancels the setup.
Since the setup has not been completed, you must execute the setup again to use the printer.


Check Physical Connection

Is the printer power turned on?

Check the connection type of the printer you want to use.

Are the computer and the access point connected properly?
Check the communication status between the computer and the access point.

Is the access point power turned on? If the access point indicates an error, switch the power of the access point off and then on again. Once the access point has restarted, click [Refresh].

If the access point still cannot be detected even after you have checked the physical connection, check the settings for the selected access point.


Check Selected Access Point

Check the access point functions

Is the access point to which you want to establish a connection selected?
Depending on the radio environment, other access points in your neighborhood may also be detected. Check that the SSIDs set for the printer and the computer are the same. To do this, click [Network Information], and then on the [Network Information] screen that appears next, see printer's SSID in (27)SSID and computer's SSID in (61)SSID Info.
When using a USB interfaced printer, if you cannot obtain the network information in [Network Information], connect the printer and the computer with a USB cable, and then obtain the information again.

Is the access point in stealth mode?
If the stealth mode is on for the access point, temporarily disable this mode, and then execute the access point detection.
The description for the stealth mode may vary depending on the access point you use.
When using a USB interfaced printer, connect the printer and the computer with a USB cable.

Is the access point in ANY denial mode?
If the access point is set to deny the access using the SSID ANY, enter the information that matches the settings for the access point.
The description for the SSID ANY denial mode may vary depending on the access point you use.

Is your computer set for automatic connection to the network?
Your computer may have been automatically connected to another access point found in the connection area.
In this case, reconnect your computer to the access point that you want to use. Alternatively, refer to Windows Help, and disable automatic connection from the wireless network management or change the network priorities.

Check the encryption settings

Is encryption enabled on the access point to which you want to connect?
If WPA-802.1X or WPA2-802.1X is set as the access point, this printer cannot connect to the access point. Change the setting for the access point to WEP or WPA-PSK (Personal), and then restart the access point.

To check whether encryption is enabled on the printer, perform a test print by referring to the user's guide that comes with your printer, or click [Network Information] and see the setting for "Encryption" of the "Wireless LAN" item.

When using a USB interfaced printer, to change the printer information, connect the printer and the computer with a USB cable.

If the access point still cannot be detected even after you have checked the settings for the selected access point, check the settings for the filtering function of the access point.


Check Filtering Function of Access Point

Check MAC address filtering function of access point

When using the access points, MAC address filtering may be enabled which restricts access to the access points.

Refer to the user's guide provided with the access point and check whether MAC address filtering is set for the access point.
If the MAC address filtering is enabled, change the settings so that the printer and the computer can communicate with each other.

The MAC address of the printer can be checked by performing a test print by referring to the user's guide that comes with your printer or clicking [Network Information] to display the [Network Information] screen, and then checking (25)MAC Address.

When using a USB interfaced printer, if you cannot obtain the network information in [Network Information], connect the printer and the computer with a USB cable, and then obtain the information again.

Check the function of blocking communication among clients

When using the access points, check that the clients can communicate with each other via the access point.

Some access points have the function to disallow client-to-client communication.
If such function is enabled, the setup will not be completed.

Important

The name of the client-to-client communication blocking function may differ depending on the access point you use.

Also, there are a couple of criteria to block communication among clients. One is the interface type (disallowing wireless-to-wireless or wireless-to-wired communication), another is the communication standard (disabling communication between IEEE802.11a and IEEE802.11g).

If the access point still cannot be detected even after you have checked the settings for the filtering function of the access point, click [Cancel] on the [Detected Access Points List] screen, and then perform the setup over again.


Setup Completion

The setup for using the printer with a LAN connection has been completed.

Check the printer name, the port name, the printer model, and the SSID.

[View Setup Results...]

Click to view the details of setup.

[Complete]

Exits the setup.


Setup Results

Setup results appear.

Check the printer port name, printer name, etc.

[Set Port Name...]

Click this item to change the port name.

[Copy All Information]

Click to copy all setup results.

Note

Information will be copied to the clipboard. Paste it into a text file to save the information.


Check Physical Connection

Is the printer power turned on?

Check the connection type of the printer you want to use.

Are the computer and the access point connected properly?
Check the communication status between the computer and the access point.

Is the access point power turned on? If the access point indicates an error, switch the power of the access point off and then on again. Once the access point has restarted, click [Back].

If the setup still cannot be completed even after you have checked the physical connection, check the settings for the selected access point.


Check Selected Access Point

Check the access point functions

Is the access point to which you want to establish a connection selected?
Depending on the radio environment, other access points in your neighborhood may also be detected. Check that the SSIDs set for the printer and the computer are the same. To do this, click [Network Information], and then on the [Network Information] screen that appears next, see printer's SSID in (27)SSID and computer's SSID in (61)SSID Info.
When using a USB interfaced printer, if you cannot obtain the network information in [Network Information], connect the printer and the computer with a USB cable, and then obtain the information again.

Is the access point in stealth mode?
If the stealth mode is on for the access point, temporarily disable this mode, and then execute the access point detection.
The description for the stealth mode may vary depending on the access point you use.
When using a USB interfaced printer, connect the printer and the computer with a USB cable.

Is the access point in ANY denial mode?
If the access point is set to deny the access using the SSID ANY, enter the information that matches the settings for the access point.
The description for the SSID ANY denial mode may vary depending on the access point you use.

Is your computer set for automatic connection to the network?
Your computer may have been automatically connected to another access point found in the connection area.
In this case, reconnect your computer to the access point that you want to use. Alternatively, refer to Windows Help, and disable automatic connection from the wireless network management or change the network priorities.

Check the encryption settings

Is encryption enabled on the access point to which you want to connect?
If WPA-802.1X or WPA2-802.1X is set as the access point, this printer cannot connect to the access point. Change the setting for the access point to WEP or WPA-PSK (Personal), and then restart the access point.

To check whether encryption is enabled on the printer, perform a test print by referring to the user's guide that comes with your printer, or click [Network Information] and see the setting for "Encryption" of the "Wireless LAN" item.

When using a USB interfaced printer, to change the printer information, connect the printer and the computer with a USB cable.

If the setup still cannot be completed even after you have checked the settings for the selected access point, check the settings for the filtering function of the access point.


Check Filtering Function of Access Point

Check MAC address filtering function of access point

When using the access points, MAC address filtering may be enabled which restricts access to the access points.

Refer to the user's guide provided with the access point and check whether MAC address filtering is set for the access point.
If the MAC address filtering is enabled, change the settings so that the printer and the computer can communicate with each other.

The MAC address of the printer can be checked by performing a test print by referring to the user's guide that comes with your printer or clicking [Network Information] to display the [Network Information] screen, and then checking (25)MAC Address.

When using a USB interfaced printer, if you cannot obtain the network information in [Network Information], connect the printer and the computer with a USB cable, and then obtain the information again.

Check the function of blocking communication among clients

When using the access points, check that the clients can communicate with each other via the access point.

Some access points have the function to disallow client-to-client communication.
If such function is enabled, the setup will not be completed.

Important

The name of the client-to-client communication blocking function may differ depending on the access point you use.

Also, there are a couple of criteria to block communication among clients. One is the interface type (disallowing wireless-to-wireless or wireless-to-wired communication), another is the communication standard (disabling communication between IEEE802.11a and IEEE802.11g).

If the setup still cannot be completed even after you have checked the settings for the filtering function of the access point, check the settings for the access control for the printer.


Check Communication Status between Printer and Computer

Click [Network Information] to open the [Network Information] screen, then check the following points.

When using a USB interfaced printer, if you cannot obtain the network information in [Network Information], connect the printer and the computer with a USB cable, and then obtain the information again.

Check that (33) Link Status is Active by referring to the printer interface status.

To check that the printer and the computer can communicate with each other, check that the subnetwork addresses for the printer and the computer are the same.

Confirmation of printer information (NIC Info.):

(37) IP Address, (38) Subnet Mask

Confirmation of computer information (PC Info.):

IP Address and Subnet Mask of the interface displayed on (62)

Note

Depending on the system environment, some (possibly no) items may not be displayed.

How to usually find the sub network address

When the subnet mask is set to "255.255.255.0," the sub network address will be the same as that obtained by replacing the rightmost part of the IP address with "0."

Example:

IP address: 192.168.127.123
Subnet Mask: 255.255.255.0
Subnetwork address for the above example: 192.168.127.0

Note

How to Calculate Network Address:
An IP address is divided into a network address number and a host address number. The network address number contains a smaller unit called a subnetwork address. The mask used to determine the subnetwork address from an IP address is called a subnet mask.

Example:

IP address: 200.170.70.18
Subnet Mask: 255.255.255.240
Subnetwork address for the above example: 200.170.70.16

Important

You cannot use the printer through a router. Use the printer in the same segment (environment that does not pass through a router).

If the setup still cannot be completed even after you have checked the communication status between the printer and the computer, check the connection status of the network.


Check Network Bridge

The network connection may accidentally be set to the Network Bridge connection. If this happens, the Wireless Network connection or the Ethernet Network connection may not work correctly.

Check the network connection and delete the network bridge if it has been created.

How to check the connection

1. In Windows 7, display the network connections by clicking [Start], [Control Panel], [Network and Internet], [Network and Sharing Center], and [Change adapter settings].
In Windows Vista, display the network connections by clicking [Start], [Control Panel], [Network and Internet], [Network and Sharing Center], and [Manage Network Connections].
In Windows XP, display the network connections by clicking [Start], [Control Panel], [Network and Internet Connections], and [Network Connections].

2. Check whether the [Network Bridge] icon is included in the Network Bridge group.

If the [Network Bridge] icon is marked with Enabled and the icon of Wireless Network or Ethernet Network to which you want to connect your printer is also included in the group, the network connection is the Network Bridge connection.

How to cancel Network Bridge

Deleting one or more connections from Network Bridge

1. Right-click the [Network Bridge] icon and select [Delete].

The Network Bridge icon is deleted, and Network Bridge is canceled.

Deleting Network Bridge

1. Right-click the [Network Bridge] icon and select [Delete].

2. On [General] tab, uncheck the check box of the network to which you want to connect the printer in the [Adapters] section, and click [OK].

Make sure the target network is not included in the Network Bridge group.

Important

A confirmation/warning dialog box may appear.
This dialog box is the screen for checking the user's administrative rights.
To continue, click [Continue] or [Allow], or enter a password.

If the setup still cannot be completed even after you have checked the connection status of the network, click [Cancel] on the [Set Printer IP Address] screen, and then perform the setup over again.